use ggez::GameError;

fn main() -> Result<(), GameError> {
    let mut game = carpet::GameBuilder::new()
        .name("game")
        .author("me")
        .resource_path({
            let base = std::env::var("CARGO_MANIFEST_DIR").unwrap();
            let mut path = std::path::PathBuf::from(base);
            path.push("resources");
            path
        })
        .tileset("/terminal8x8.jpg", [8, 8])
        .map_size(80, 50)
        .build()?;
    game.world.print([1, 1], "Hello, world!");
    game.run()
}
